General concept:
  - (TBD) Structure of XML-files is predefined by the
    DTDs in the dtd-folder, which contains all the entities
    supported by the framework.

  - Basic transformations offered by framework
    -> offer general-purpose transformations
    -> located in transformation

  - Domain-specific XSL-Templates (e.g. html.xsl, rss.xsl) 
    -> should normally only include a template with name "main", which contains
       the basic domain-specific structure for the created objects of this type
    -> located in content/<mydomain>/templates
    -> definition of own templates is possible, but may cause name collisions with
       the imported templates provided by the framework
    -> each template may include the appropriate transformation template
       from the framework and use the provided templates

Process for final formats (such as html or rss):
   1. Transformation initiated by calling "xsltproc $PATHS {html,rss}.xsl <mydocument>.xml
   2. Framework-included template matches root element, may do some preparations (as in news2rss.xsl)
      and call the "main"-template.
   3. The "main"-template defines the common structure and calls the needed templates 
      provided by the framework at the needed places. 

Changelog to master (besides new architecture):

news2rss:
  - Transformation of <item>:
    -> removed insertion of <author> and <category> to make code more generic
    -> <author> may in future be taken directly from the @author-attribute in the xml-file
